import React from "react";

import { getBook, getAllBooks, DetailedBook, SimpleBook } from "../lib/books";

export default function Home(props: Props) {
  return (
    <div>
      <ul>
        {props.books.map((book, idx) => {
          return (
            <li key={`${idx}_${book.id}`}>
              {book.id}; {book.title}; {book.authors}; {book.isbn}
            </li>
          );
        })}
      </ul>
      <p>{props.book.title}</p>
    </div>
  );
}

interface Props {
  book: DetailedBook;
  books: SimpleBook[];
}

export async function getServerSideProps() {
  return {
    props: {
      book: await getBook(44),
      books: await getAllBooks(),
    },
  };
}
